ReservationCreate
ReservationCreate schema used by the TheBooking public API.
Fields
| Field | Required | Type | Description |
|---|---|---|---|
serviceId | Yes | string | TheBooking service identifier. |
customerId | Yes | string | TheBooking customer identifier. |
providerId | Yes | integer or string | TheBooking provider identifier. |
availabilityId | Yes | string | Canonical slot identifier returned by GET /availability/get/. |
start | Yes | integer (int64) | Unix timestamp for the slot start. |
end | Yes | integer (int64) | Unix timestamp for the slot end. |
data | No | object | Additional structured data accepted by the route. |
Example
{
"serviceId": "service_123",
"customerId": "customer_123",
"providerId": 123,
"availabilityId": "slot_123",
"start": 1779148800,
"end": 1779152400,
"data": {}
}